Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://app.msportal.ai/api/public/v1/compliance/checks/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "checkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "title": "<string>", "description": "<string>", "status": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "color": "<string>", "isPositive": true, "isComplete": true }, "criticality": 5, "flagged": true, "dueDate": "2023-11-07T05:31:56Z", "completedAt": "2023-11-07T05:31:56Z", "notesPublic": "<string>", "notesPrivate": "<string>", "runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "runName": "<string>", "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "companyName": "<string>", "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "groupName": "<string>", "deviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "deviceName": "<string>", "locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "locationName": "<string>", "updatedAt": "2023-11-07T05:31:56Z" } }
Retrieve a single assigned compliance check by ID.
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Assigned check ID
Assigned compliance check details
Show child attributes
Was this page helpful?